diff -ur slackware64-current/source/a/efivar/efivar.SlackBuild slackware64-current.2/source/a/efivar/efivar.SlackBuild
--- slackware64-current/source/a/efivar/efivar.SlackBuild	2021-03-05 21:30:51.395909707 +0100
+++ slackware64-current.2/source/a/efivar/efivar.SlackBuild	2021-09-18 13:40:05.398442568 +0200
@@ -96,8 +96,8 @@
 
 CFLAGS="$SLKCFLAGS -Wformat=0" \
 CXXFLAGS="$SLKCFLAGS" \
-make $NUMJOBS libdir=/usr/lib$LIBDIRSUFFIX/ mandir=/usr/man/ || exit 1
-make $NUMJOBS install DESTDIR=${PKG}/ libdir=/usr/lib$LIBDIRSUFFIX/ mandir=/usr/man/ || exit 1
+make libdir=/usr/lib$LIBDIRSUFFIX/ mandir=/usr/man/ || exit 1
+make install DESTDIR=${PKG}/ libdir=/usr/lib$LIBDIRSUFFIX/ mandir=/usr/man/ || exit 1
 
 # Strip binaries:
 find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff -ur slackware64-current/source/a/hdparm/hdparm.SlackBuild slackware64-current.2/source/a/hdparm/hdparm.SlackBuild
--- slackware64-current/source/a/hdparm/hdparm.SlackBuild	2022-03-29 20:43:56.307896049 +0200
+++ slackware64-current.2/source/a/hdparm/hdparm.SlackBuild	2022-08-07 23:21:06.146978671 +0200
@@ -57,6 +57,10 @@
 tar xvf $CWD/hdparm-$VERSION.tar.?z || exit 1
 cd hdparm-$VERSION || exit 1
 chown -R root:root .
+
+# Remove linux/fs.h (incompatibility with sys/mount.h):
+sed -i 's|#include <linux/fs.h>||' hdparm.c
+
 make $NUMJOBS || make || exit 1
 mkdir -p $PKG/sbin
 cat hdparm > $PKG/sbin/hdparm
diff -ur slackware64-current/source/a/sysvinit/sysvinit.SlackBuild slackware64-current.2/source/a/sysvinit/sysvinit.SlackBuild
--- slackware64-current/source/a/sysvinit/sysvinit.SlackBuild	2022-03-29 20:43:56.307896049 +0200
+++ slackware64-current.2/source/a/sysvinit/sysvinit.SlackBuild	2022-08-07 23:21:06.146978671 +0200
@@ -68,6 +68,9 @@
 # Fix failure to show program version:
 zcat $CWD/sysvinit.always.define.version.diff.gz | patch -p1 --verbose || exit 1
 
+# Fix incompatibility headers from glibc 2.36:
+sed -i 's|#.*include <linux/fs.h>||' src/sulogin.c
+
 # Use /dev/initctl instead of /run/initctl ; this is a named pipe and probably
 # should be in /dev anyway, but more importantly, having the upgraded package
 # expect it in /run breaks shutdown/reboot without manual intervention:
diff -ur slackware64-current.2/source/a/unarj/unarj.SlackBuild slackware64-current.3/source/a/unarj/unarj.SlackBuild
--- slackware64-current.2/source/a/unarj/unarj.SlackBuild.orig	2021-05-21 18:31:34.831004514 +0200
+++ slackware64-current.3/source/a/unarj/unarj.SlackBuild	2021-10-09 16:30:38.613381584 +0200
@@ -55,6 +55,10 @@
 tar xzvf $CWD/unarj${VERSION}.tar.gz
 cd unarj${VERSION}
 chown -R root:root .
+
+# Patch for 32bit system with _TIME_BITS==64 by default (/usr/include/bits/timesize.h or /usr/include/features-time64.h):
+zcat $CWD/time64_on_32bit_system.diff.gz | patch -p1 --verbose || exit 1
+
 cp -a $CWD/Makefile.gz .
 gzip --force -d Makefile.gz
 make || exit 1
diff -ur slackware64-current/source/ap/dc3dd/dc3dd.SlackBuild slackware64-current.2/source/ap/dc3dd/dc3dd.SlackBuild
--- slackware64-current/source/ap/dc3dd/dc3dd.SlackBuild	2018-04-23 19:20:52.261170202 +0200
+++ slackware64-current.2/source/ap/dc3dd/dc3dd.SlackBuild	2021-09-18 13:40:05.718458718 +0200
@@ -71,6 +71,10 @@
 cd $TMP 
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
 cd $PKGNAM-$VERSION 
+
+# Be Y2038 compliant (time_t 64 bits on 32bits machines):
+zcat $CWD/time64_on_32bit_machine.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/ap/linuxdoc-tools/linuxdoc-tools.SlackBuild slackware64-current.2/source/ap/linuxdoc-tools/linuxdoc-tools.SlackBuild
--- slackware64-current/source/ap/linuxdoc-tools/linuxdoc-tools.SlackBuild	2018-04-23 19:20:52.261170202 +0200
+++ slackware64-current.2/source/ap/linuxdoc-tools/linuxdoc-tools.SlackBuild	2021-09-18 13:40:05.718458718 +0200
@@ -24,4 +24,6 @@
   exit 0
 fi
 
+export LANG=en_US.UTF-8
+
 ./trackbuild.linuxdoc-tools
diff -ur slackware64-current/source/ap/mariadb/mariadb.SlackBuild slackware64-current.2/source/ap/mariadb/mariadb.SlackBuild
--- slackware64-current/source/ap/mariadb/mariadb.SlackBuild	2024-12-30 20:35:34.423811856 +0100
+++ slackware64-current.2/source/ap/mariadb/mariadb.SlackBuild	2025-01-07 13:26:22.636553320 +0100
@@ -99,6 +99,10 @@
 # be started with /etc/rc.d/rc.mysqld, not a systemd service file:
 cat $CWD/mariadb-install-db.no.systemd.instructions.diff | patch -p1 --verbose || exit 1
 
+# MariaDB requires fmt 11, copy package to avoid download:
+mkdir -p build/extra/libfmt/src
+cp -p $CWD/fmt*.zip build/extra/libfmt/src
+
 mkdir build
 cd build
 cmake \
diff -ur slackware64-current/source/ap/vim/vim.SlackBuild slackware64-current.2/source/ap/vim/vim.SlackBuild
--- slackware64-current/source/ap/vim/vim.SlackBuild	2023-07-06 16:22:32.604551246 +0200
+++ slackware64-current.2/source/ap/vim/vim.SlackBuild	2023-07-25 15:40:00.773632960 +0200
@@ -165,6 +165,9 @@
 # Don't make backups in /var/spool/cron/*, which fixes "crontab -e":
 zcat $CWD/vim.vimrc.diff.gz | patch -p1 --verbose || exit 1
 
+# Disable annoying textwidth=78 for text files:
+zcat $CWD/disable_textwidth_78.diff.gz | patch -p1 --verbose || exit 1
+
 cp -a runtime/vimrc_example.vim runtime/vimrc.new
 
 # Add patched vimrc to the package:
diff -ur slackware64-current.2/source/d/cargo-c/cargo-c.SlackBuild slackware64-current.3/source/d/cargo-c/cargo-c.SlackBuild
--- slackware64-current.2/source/d/cargo-c/cargo-c.SlackBuild	2025-02-11 21:14:33.049912350 +0100
+++ slackware64-current.3/source/d/cargo-c/cargo-c.SlackBuild	2025-02-21 14:54:14.976395825 +0100
@@ -93,7 +93,7 @@
 # Build:
 export CFLAGS="$SLKCFLAGS"
 export CXXFLAGS="$SLKCFLAGS"
-cargo build --offline --release
+cargo build --offline --release || exit 1
 
 # Install:
 cargo install --offline --no-track --root "${PKG}/usr" --path="."
diff -ur slackware64-current/source/d/gdb/gdb.SlackBuild slackware64-current.2/source/d/gdb/gdb.SlackBuild
--- slackware64-current/source/d/gdb/gdb.SlackBuild	2024-12-05 19:33:34.734035875 +0100
+++ slackware64-current.2/source/d/gdb/gdb.SlackBuild	2025-01-07 13:26:22.986572044 +0100
@@ -88,7 +88,6 @@
   --infodir=/usr/info \
   $GUILE_OPTION \
   --with-python=/usr/bin/python3 \
-  --with-system-readline \
   --with-system-zlib \
   --disable-nls \
   --build=$ARCH-slackware-linux || exit 1
diff -ur slackware64-current/source/d/llvm/llvm.SlackBuild slackware64-current.2/source/d/llvm/llvm.SlackBuild
--- slackware64-current/source/d/llvm/llvm.SlackBuild	2025-07-29 01:47:57.491296776 +0200
+++ slackware64-current.2/source/d/llvm/llvm.SlackBuild	2025-08-08 16:45:01.653395761 +0200
@@ -251,6 +251,9 @@
 tar xf $CWD/llvmorg-$VERSION.tar.?z || exit 1
 cd llvm-project-llvmorg-$VERSION || cd llvmorg-$VERSION || exit 1
 
+# Fix removed termio structure from glibc 2.42:
+zcat $CWD/sanitizer_remove_termio.diff.gz | patch -p1 --verbose || exit 1
+
 # Support GCC built for i?86-slackware-linux:
 zcat $CWD/clang.toolchains.32-bit.triple.diff.gz | patch -p2 --verbose || exit 1
 
diff -ur slackware64-current/source/d/rust/rust.SlackBuild slackware64-current.2/source/d/rust/rust.SlackBuild
--- slackware64-current/source/d/rust/rust.SlackBuild	2025-08-07 20:29:50.763695237 +0200
+++ slackware64-current.2/source/d/rust/rust.SlackBuild	2025-08-10 01:06:35.949400708 +0200
@@ -147,6 +147,9 @@
   zcat $CWD/link_libffi.diff.gz | patch -p1 --verbose || exit 1
 fi
 
+# Fix useless copy of /usr/lib/* ...
+zcat $CWD/disable_copy_syslib.diff.gz | patch -p1 --verbose || exit 1
+
 cat $CWD/0004-compiler-Use-wasm-ld-for-wasm-targets.patch | patch -p1 --verbose || exit 1
 
 if [ "$LOCAL_BOOTSTRAP" != "yes" ] ; then
@@ -251,6 +254,10 @@
     sed -i "s,\"lib/rustlib,\"lib${LIBDIRSUFFIX}/rustlib,g" src/tools/rust-analyzer/crates/project-model/src/sysroot.rs
   fi
 fi
+if [ "$LOCAL_BOOTSTRAP" = "yes" ] ; then
+  # Launch script to relink rustlib:
+  $CWD/linkrustlib.sh `pwd` $LIBDIRSUFFIX &
+fi
 
 # Build and install:
 export RUST_BACKTRACE=full
diff -ur slackware64-current/source/kde/kde/modules/all-packaged-applications slackware64-current.2/source/kde/kde/modules/all-packaged-applications
--- slackware64-current/source/kde/kde/modules/all-packaged-applications	2021-12-10 08:24:33.353743592 +0100
+++ slackware64-current.2/source/kde/kde/modules/all-packaged-applications	2021-12-31 14:27:41.216101138 +0100
@@ -207,6 +207,7 @@
 kpmcore
 partitionmanager
 skanlite
+kdevelop-pg-qt
 kdevelop
 kdev-php
 kdev-python
diff -ur slackware64-current/source/kde/kde/modules/applications slackware64-current.2/source/kde/kde/modules/applications
--- slackware64-current/source/kde/kde/modules/applications	2021-12-10 08:24:45.836742902 +0100
+++ slackware64-current.2/source/kde/kde/modules/applications	2021-12-31 14:27:17.454822503 +0100
@@ -207,6 +207,7 @@
 skanlite
 
 # kdevelop added to 21.12.0:
+kdevelop-pg-qt
 kdevelop
 kdev-php
 kdev-python
diff -ur slackware64-current/source/kde/kde/modules/applications-extra slackware64-current.2/source/kde/kde/modules/applications-extra
--- slackware64-current/source/kde/kde/modules/applications-extra	2021-12-31 14:24:59.527399636 +0100
+++ slackware64-current.2/source/kde/kde/modules/applications-extra	2021-12-31 14:27:02.354009883 +0100
@@ -20,4 +20,3 @@
 ktimetracker
 labplot
 kid3
-kdevelop-pg-qt
diff -ur slackware64-current/source/kde/kde/noarch slackware64-current.2/source/kde/kde/noarch
--- slackware64-current/source/kde/kde/noarch	2015-12-24 16:42:41.000000000 +0100
+++ slackware64-current.2/source/kde/kde/noarch	2023-08-12 10:12:20.290668226 +0200
@@ -3,6 +3,7 @@
 
 breeze-icons
 kde-wallpapers
+plasma-workspace-wallpapers
 oxygen-fonts
 oxygen-icons
 oxygen-icons5
diff -ur slackware64-current.2/source/kde/kde/patch/extra-cmake-modules.patch slackware64-current.3/source/kde/kde/patch/extra-cmake-modules.patch
--- slackware64-current.2/source/kde/kde/patch/extra-cmake-modules.patch	2021-09-18 13:42:54.216962753 +0200
+++ slackware64-current.3/source/kde/kde/patch/extra-cmake-modules.patch	2025-09-07 02:36:14.101731193 +0200
@@ -0,0 +1,2 @@
+# Fix deprecated docutils.error_reporting SafeString and ErrorString:
+cat $CWD/patch/extra-cmake-modules/docutils_error_reporting.patch | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
diff -ur slackware64-current.2/source/kde/kde/patch/kdevelop-pg-qt.patch slackware64-current.3/source/kde/kde/patch/kdevelop-pg-qt.patch
diff -ur slackware64-current.2/source/kde/qca/qca.SlackBuild slackware64-current.3/source/kde/qca/qca.SlackBuild
--- slackware64-current.2/source/kde/qca/qca.SlackBuild	2025-02-17 11:00:26.187752853 +0100
+++ slackware64-current.3/source/kde/qca/qca.SlackBuild	2025-02-23 09:18:43.373165298 +0100
@@ -74,6 +74,9 @@
 tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
 cd $SRCNAM-$VERSION || exit 1
 
+# Warning about LANG comes into cmake variables, export explicity to UTF-8:
+export LANG=en_US.UTF-8
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current.2/source/l/db48/db48.SlackBuild slackware64-current.3/source/l/db48/db48.SlackBuild
--- slackware64-current.2/source/l/db48/db48.SlackBuild	2023-02-08 11:33:03.673010957 +0100
+++ slackware64-current.3/source/l/db48/db48.SlackBuild	2023-05-21 19:31:11.460051358 +0200
@@ -88,6 +88,10 @@
 # We aren't installing the docs anyway so let's not let them break the build:
 zcat $CWD/db48.no.broken.doc.install.diff.gz | patch -p1 --verbose || exit 1
 
+# On 32bit architectures, if you use _TIME_BITS=64 there is a wrongly local defined
+# "timespec" structure, fix it:
+zcat $CWD/db_timespec_for_64bit_time_t.diff.gz | patch -p1 --verbose || exit 1
+
 rm -rf build-dir
 mkdir build-dir
 cd build-dir
diff -ur slackware64-current.2/source/l/djvulibre/djvulibre.SlackBuild slackware64-current.3/source/l/djvulibre/djvulibre.SlackBuild
--- slackware64-current.2/source/l/djvulibre/djvulibre.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/djvulibre/djvulibre.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -69,6 +69,9 @@
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
 cd $PKGNAM-$VERSION || cd $PKGNAM-$(echo $VERSION | rev | cut -f 2- -d . | rev) || exit 1
 
+# Adding missing cpal lossy options:
+zcat $CWD/djvulibre_cpal-lossy.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current.2/source/l/esound/esound.SlackBuild slackware64-current.3/source/l/esound/esound.SlackBuild
--- slackware64-current.2/source/l/esound/esound.SlackBuild	2022-10-12 03:03:12.378642328 +0200
+++ slackware64-current.3/source/l/esound/esound.SlackBuild	2023-07-16 08:08:16.011717106 +0200
@@ -70,6 +70,10 @@
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
 cd ${PKGNAM}-$VERSION || exit 1
 
+# Avoid Internet access to download dtd models:
+tar xvf $CWD/dtd-docs.tar.gz
+sed -i 's|http://www.oasis-open.org/docbook/xml/4.1.2/||' docs/esound.sgml
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
diff -ur slackware64-current/source/l/libcaca/libcaca.SlackBuild slackware64-current.2/source/l/libcaca/libcaca.SlackBuild
--- slackware64-current/source/l/libcaca/libcaca.SlackBuild	2021-11-04 12:17:09.000000000 +0100
+++ slackware64-current.2/source/l/libcaca/libcaca.SlackBuild	2022-01-11 20:29:10.000000000 +0100
@@ -110,6 +110,8 @@
 cd python
   # python2 dropped dropped as obsolete.
   #python setup.py install --root=$PKG || exit 1
+  # Python needs libraries: copy them to system
+  \cp -a $PKG/usr/lib${LIBDIRSUFFIX}/lib* /usr/lib${LIBDIRSUFFIX}/
   python3 setup.py install --root=$PKG || exit 1
 cd -
 
diff -ur slackware64-current/source/l/libfakekey/libfakekey.SlackBuild slackware64-current.2/source/l/libfakekey/libfakekey.SlackBuild
--- slackware64-current/source/l/libfakekey/libfakekey.SlackBuild	2021-02-13 06:31:59.348945220 +0100
+++ slackware64-current.2/source/l/libfakekey/libfakekey.SlackBuild	2021-09-18 13:40:06.238484962 +0200
@@ -60,7 +60,6 @@
 elif [ "$ARCH" = "armv7hl" ]; then
   SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
   SLKLDFLAGS=""
-  LIBDIRSUFFIX="64"
   LIBDIRSUFFIX=""
 else
   SLKCFLAGS="-O2"
diff -ur slackware64-current/source/l/pangomm/pangomm.SlackBuild slackware64-current.2/source/l/pangomm/pangomm.SlackBuild
--- slackware64-current/source/l/pangomm/pangomm.SlackBuild	2021-02-13 06:32:00.655945148 +0100
+++ slackware64-current.2/source/l/pangomm/pangomm.SlackBuild	2021-09-18 13:40:06.318488999 +0200
@@ -74,6 +74,9 @@
  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
  -exec chmod 644 {} \+
 
+# Fix moved "pango_parse_markup" function to separate header "pango-markup.h":
+zcat $CWD/markup-missing-header.diff.gz | patch -p1 --verbose || exit 1
+
 # Configure, build, and install:
 export CFLAGS="$SLKCFLAGS"
 export CXXFLAGS="$SLKCFLAGS"
diff -ur slackware64-current/source/l/python-lxml/python-lxml.SlackBuild slackware64-current.2/source/l/python-lxml/python-lxml.SlackBuild
--- slackware64-current/source/l/python-lxml/python-lxml.SlackBuild	2025-02-11 21:16:30.036198085 +0100
+++ slackware64-current.2/source/l/python-lxml/python-lxml.SlackBuild	2025-05-16 20:05:27.263235187 +0200
@@ -76,7 +76,7 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
-unshare -n python3 -m build --wheel --no-isolation || exit 1
+unshare -n python3 -m build --skip-dependency-check --wheel --no-isolation || exit 1
 
 python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
 
diff -ur slackware64-current.2/source/l/suitesparse/suitesparse.SlackBuild slackware64-current.3/source/l/suitesparse/suitesparse.SlackBuild
--- slackware64-current.2/source/l/suitesparse/suitesparse.SlackBuild	2025-03-13 10:36:53.101739042 +0100
+++ slackware64-current.3/source/l/suitesparse/suitesparse.SlackBuild	2025-05-06 15:26:01.169777732 +0200
@@ -49,7 +49,8 @@
 fi
 
 # Don't include -j for this package.
-NUMJOBS=${NUMJOBS:-"$(expr $(nproc) + 1)"}
+NUMJOBS=${NUMJOBS:-"-j $(expr $(nproc) + 1)"}
+JOBS=`echo "$NUMJOBS" | sed 's/.*-j *//'`
 
 if [ "$ARCH" = "i686" ]; then
   SLKCFLAGS="-O2 -march=pentium4 -mtune=generic"
@@ -93,9 +94,10 @@
 mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
 
 export BLAS="$(pkg-config --libs openblas)"
+export LDFLAGS="-fopenmp"
 
 # Build:
-make JOBS=$NUMJOBS CMAKE_OPTIONS="-DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX" || exit 1
+make JOBS=$JOBS CMAKE_OPTIONS="-DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX" || exit 1
 
 export DESTDIR=$PKG
 
diff -ur slackware64-current.2/source/l/vte/vte.SlackBuild slackware64-current.3/source/l/vte/vte.SlackBuild
--- slackware64-current.2/source/l/vte/vte.SlackBuild	2025-01-28 12:11:22.336898358 +0100
+++ slackware64-current.3/source/l/vte/vte.SlackBuild	2025-08-31 14:34:54.723123400 +0200
@@ -70,6 +70,13 @@
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
 cd ${PKGNAM}-$VERSION || exit 1
 
+# Avoid download fast_float from Internet:
+(cd subprojects
+ tar xvf $CWD/fast_float*.tar.*z
+ mv fast_float-* fast_float
+ cp  packagefiles/fast_float/meson.build fast_float
+)
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
diff -ur slackware64-current.2/source/l/zxing-cpp/zxing-cpp.SlackBuild slackware64-current.3/source/kde/zxing-cpp/zxing-cpp.SlackBuild
--- slackware64-current.2/source/l/zxing-cpp/zxing-cpp.SlackBuild	2023-05-08 14:56:00.625916440 +0200
+++ slackware64-current.3/source/l/zxing-cpp/zxing-cpp.SlackBuild	2023-07-11 22:20:04.288614835 +0200
@@ -87,6 +87,12 @@
 
 # Configure, build, and install:
 mkdir cmake-build
+
+# Copying stb from local repository, avoiding Internet access:
+mkdir cmake-build/_deps
+(cd cmake-build/_deps ; tar xvf $CWD/stb-*.tar.lz )
+zcat $CWD/stb-local.diff.gz | patch -p1 --verbose || exit 1
+
 cd cmake-build
   cmake \
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
diff -ur slackware64-current/source/n/ModemManager/ModemManager.SlackBuild slackware64-current.2/source/n/ModemManager/ModemManager.SlackBuild
--- slackware64-current/source/n/ModemManager/ModemManager.SlackBuild	2024-09-08 16:50:35.650420352 +0200
+++ slackware64-current.2/source/n/ModemManager/ModemManager.SlackBuild	2025-08-08 15:55:52.682731868 +0200
@@ -81,6 +81,8 @@
  -exec chmod 644 {} \+
 
 zcat $CWD/WeDoNotHaveSystemD.patch.gz | patch -p1 --verbose || exit 1
+# From glibc 2.42 TCGETA support (termio) was removed. Fix it with new TCGETS ioctl:
+zcat $CWD/fix_deprecated_TCGETA.diff.gz | patch -p1 --verbose || exit 1
 
 # Configure, build, and install:
 export CFLAGS="$SLKCFLAGS -Wno-incompatible-pointer-types"
diff -ur slackware64-current/source/n/bind/bind.SlackBuild slackware64-current.2/source/n/bind/bind.SlackBuild
--- slackware64-current/source/n/bind/bind.SlackBuild	2024-05-13 12:56:56.072076420 -0000
+++ slackware64-current.2/source/n/bind/bind.SlackBuild	2024-08-21 17:00:26.022764466 -0000
@@ -70,6 +70,10 @@
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
 cd ${PKGNAM}-$VERSION || exit 1
 
+# Avoid "Error: reading directory: Value too large for defined data type"
+# while compiling on newer filesystem (32bit only):
+zcat $CWD/gen_64bit.diff.gz | patch -p1 --verbose 
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
diff -ur slackware64-current/source/n/elm/elm.SlackBuild slackware64-current.2/source/n/elm/elm.SlackBuild
--- slackware64-current/source/n/elm/elm.SlackBuild	2021-02-13 06:32:04.285944947 +0100
+++ slackware64-current.2/source/n/elm/elm.SlackBuild	2021-09-18 13:40:06.538500102 +0200
@@ -66,7 +66,7 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
-cat $CWD/config.sh | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#" > config.sh
+cat $CWD/config.sh | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#" | sed -e "s|/tmp|$TMP|" > config.sh
 mkdir -p $PKG/var/lib/elm \
          $PKG/usr/bin \
          $PKG/usr/man/man1 \
diff -ur slackware64-current/source/n/samba/samba.SlackBuild slackware64-current.2/source/n/samba/samba.SlackBuild
--- slackware64-current/source/n/samba/samba.SlackBuild	2021-02-13 06:32:04.285944947 +0100
+++ slackware64-current.2/source/n/samba/samba.SlackBuild	2021-09-18 13:40:06.538500102 +0200
@@ -105,6 +105,11 @@
     ln -sf ../../../source3/include/popt_common.h . )
 fi
 
+# Depending on the include order (that is quite "random"), gssapi.h from
+# heimdal could be wrongly included. Remove it:
+\rm third_party/heimdal/lib/gssapi/gssapi.h
+\rm third_party/heimdal/include/crypto-headers.h
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/n/wget2/wget2.SlackBuild slackware64-current.2/source/n/wget2/wget2.SlackBuild
--- slackware64-current/source/n/wget2/wget2.SlackBuild	2021-02-13 06:32:04.285944947 +0100
+++ slackware64-current.2/source/n/wget2/wget2.SlackBuild	2021-09-18 13:40:06.538500102 +0200
@@ -79,6 +79,9 @@
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
 cd $PKGNAM-$VERSION
 
+# Add missing stdint.h to decompressor.c:
+zcat $CWD/add_stdint.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/x/vulkan-sdk/vulkan-sdk.SlackBuild slackware64-current.2/source/x/vulkan-sdk/vulkan-sdk.SlackBuild
--- slackware64-current/source/x/vulkan-sdk/vulkan-sdk.SlackBuild	2025-02-08 10:11:08.747985748 +0100
+++ slackware64-current.2/source/x/vulkan-sdk/vulkan-sdk.SlackBuild	2025-02-11 06:40:33.413896006 +0100
@@ -623,6 +623,9 @@
 tar xvf $CWD/gfxreconstruct-vulkan-sdk-$GFXRECONSTRUCT_VERSION.tar.?z || exit 1
 cd $TMP/gfxreconstruct-vulkan-sdk-$GFXRECONSTRUCT_VERSION
 
+# Remove FindSDL3.cmake since we provided system one:
+\rm cmake/FindSDL3.cmake
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/x/x11/modularize slackware64-current.2/source/x/x11/modularize
--- slackware64-current/source/x/x11/modularize	2018-04-23 19:20:59.038170130 +0200
+++ slackware64-current.2/source/x/x11/modularize	2021-09-18 13:40:06.778512214 +0200
@@ -106,6 +106,7 @@
 libpciaccess
 libpthread-stubs
 libxcb
+libxcvt
 libxkbfile
 libxshmfence
 listres
diff -ur slackware64-current/source/x/x11/make/libxcb slackware64-current.2/source/x/x11/make/libxcb
--- slackware64-current/source/x/x11/make/libxcb	1970-01-01 00:00:00.000000000 +0000
+++ slackware64-current.2/source/x/x11/make/libxcb	2023-09-02 14:48:43.449978918 +0200
@@ -0,0 +1,4 @@
+# libxcb uses python for man pages and needs UTF8 encoding
+# to handle special characters
+LANG=en_US.UTF8 make $NUMJOBS || exit 1
+LANG=en_US.UTF8 make install DESTDIR=$PKG || exit 1
diff -ur slackware64-current/source/xap/gimp/gimp.SlackBuild slackware64-current.2/source/xap/gimp/gimp.SlackBuild
--- slackware64-current/source/xap/gimp/gimp.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/xap/gimp/gimp.SlackBuild	2025-06-22 14:13:35.680811369 +0200
@@ -70,6 +70,12 @@
 tar xvf $CWD/gimp-$VERSION.tar.?z || exit 1
 cd gimp-$VERSION || exit 1
 
+# Revert selection behaviour from 2.10.28, since it does not correctly update the ants:
+zcat $CWD/gimp_selection_update_fix.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix compatibility with older librsvg libraru:
+zcat $CWD/older_librsvg_compatibility.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -90,6 +90,7 @@
 # Configure, build, and install:
 export CFLAGS="$SLKCFLAGS"
 export CXXFLAGS="$SLKCFLAGS"
+export LANG="en_US.UTF-8"
 mkdir meson-build
 cd meson-build
 meson setup \
diff -ur slackware64-current/source/xap/gucharmap/gucharmap.SlackBuild slackware64-current.2/source/xap/gucharmap/gucharmap.SlackBuild
--- slackware64-current/source/xap/gucharmap/gucharmap.SlackBuild	2021-10-02 10:50:16.146632500 +0200
+++ slackware64-current.2/source/xap/gucharmap/gucharmap.SlackBuild	2023-08-01 10:36:42.039997072 +0200
@@ -69,6 +69,10 @@
 rm -rf gucharmap-$VERSION
 tar xvf $CWD/gucharmap-$VERSION.tar.?z || exit 1
 cd gucharmap-$VERSION || exit 1
+
+# Add unicode files to avoid online download:
+tar xvf $CWD/unicode-offline-data.tar.lz
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/xap/pan/pan.SlackBuild slackware64-current.2/source/xap/pan/pan.SlackBuild
--- slackware64-current/source/xap/pan/pan.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/xap/pan/pan.SlackBuild	2021-09-18 13:40:06.748510700 +0200
@@ -67,6 +67,9 @@
 tar xvf $CWD/${PKGNAM}-*$VERSION.tar.?z || exit 1
 cd ${PKGNAM}-*$VERSION || exit 1
 
+# Avoid breaking line with an URL:
+zcat $CWD/pan-nolinkbreak.diff.gz | patch -p1 --verbose || exit 1
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
diff -ur slackware64-current/source/y/bsd-games/bsd-games.SlackBuild slackware64-current.2/source/y/bsd-games/bsd-games.SlackBuild
--- slackware64-current/source/y/bsd-games/bsd-games.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/y/bsd-games/bsd-games.SlackBuild	2021-09-18 13:40:06.748510700 +0200
@@ -56,7 +56,8 @@
 tar xvf $CWD/bsd-games-$VERSION.tar.?z || exit 1
 cd bsd-games-$VERSION || exit 1
 
-zcat $CWD/patches/bsd-games.config.params.diff.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
+# Patch the patch... fix package dir:
+zcat $CWD/patches/bsd-games.config.params.diff.gz | sed "s|/tmp/package-bsdgames|$PKG|" | patch -p1 --backup --suffix=.orig --verbose || exit 1
 zcat $CWD/patches/0001-Replace-getline-with-get_line.patch.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
 zcat $CWD/patches/0002-robots-Refresh-screen.patch.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
 zcat $CWD/patches/0003-quiz-Update-presidents-capitals-fix-typos-in-murders.patch.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
@@ -96,7 +97,7 @@
 
 make || exit 1
 
-# Does this go to $PKG?  I am perplexed.
+# Install package (destination is fixed from patch/sed):
 make install || exit 1
 
 mkdir -p $PKG/usr/doc/bsd-games-$VERSION
diff -ur slackware64-current/source/y/nethack/nethack.SlackBuild slackware64-current.2/source/y/nethack/nethack.SlackBuild
--- slackware64-current/source/y/nethack/nethack.SlackBuild	2022-09-15 20:23:58.052165083 +0200
+++ slackware64-current.2/source/y/nethack/nethack.SlackBuild	2022-12-12 17:04:44.146540910 +0100
@@ -107,6 +107,9 @@
 
 sed -e "/^MANDIR\s*=/s|/usr/man/man6|$PKG/usr/man/man6|" -i sys/unix/Makefile.doc
 
+# Fixing CFLAGS:
+sed -i "s/^CFLAGS=-g -O /CFLAGS=$SLKCFLAGS /" sys/unix/hints/linux
+
 # Create a few directories:
 mkdir -p $PKG/usr/man/man6
 mkdir -p $PKG/usr/doc/nethack-$VERSION
@@ -116,7 +122,7 @@
 ( cd sys/unix ; sh setup.sh hints/linux )
 
 # Build and install:
-make -j1 install manpages PREFIX=$PKG
+make -j1 install manpages PREFIX=$PKG || exit 1
 
 # Fix some paths:
 sed -e "s|HACKDIR=$PKG/|HACKDIR=/|" \
